MP4v2

Classes | Typedefs | Functions
MP4v2 ISMA (Internet Streaming Media Alliance)

## Classes
struct | mp4v2_ismacryp_session_params
| something More...

## Typedefs
typedef struct mp4v2_ismacryp_session_params | mp4v2_ismacrypParams
| something

## Functions
mp4v2_ismacrypParams * | MP4DefaultISMACrypParams (mp4v2_ismacrypParams *ptr)
MP4TrackId | MP4AddEncAudioTrack (MP4FileHandle hFile, uint32_t timeScale, MP4Duration sampleDuration, mp4v2_ismacrypParams *icPp, uint8_t audioType=MP4_MPEG4_AUDIO_TYPE)
MP4TrackId | MP4AddEncVideoTrack (MP4FileHandle hFile, uint32_t timeScale, MP4Duration sampleDuration, uint16_t width, uint16_t height, mp4v2_ismacrypParams *icPp, uint8_t videoType=MP4_MPEG4_VIDEO_TYPE, const char *oFormat=NULL)
MP4TrackId | MP4AddEncH264VideoTrack (MP4FileHandle dstFile, uint32_t timeScale, MP4Duration sampleDuration, uint16_t width, uint16_t height, MP4FileHandle srcFile, MP4TrackId srcTrackId, mp4v2_ismacrypParams *icPp)
MP4TrackId | MP4EncAndCloneTrack (MP4FileHandle srcFile, MP4TrackId srcTrackId, mp4v2_ismacrypParams *icPp, MP4FileHandle dstFile=MP4_INVALID_FILE_HANDLE, MP4TrackId dstHintTrackReferenceTrack=MP4_INVALID_TRACK_ID)
MP4TrackId | MP4EncAndCopyTrack (MP4FileHandle srcFile, MP4TrackId srcTrackId, mp4v2_ismacrypParams *icPp, encryptFunc_t encfcnp, uint32_t encfcnparam1, MP4FileHandle dstFile=MP4_INVALID_FILE_HANDLE, bool applyEdits=false, MP4TrackId dstHintTrackReferenceTrack=MP4_INVALID_TRACK_ID)
bool | MP4MakeIsmaCompliant (const char *fileName, bool addIsmaComplianceSdp=true)
| Add ISMA compliant OD and Scene tracks. More...
char * | MP4MakeIsmaSdpIod (uint8_t videoProfile, uint32_t videoBitrate, uint8_t *videoConfig, uint32_t videoConfigLength, uint8_t audioProfile, uint32_t audioBitrate, uint8_t *audioConfig, uint32_t audioConfigLength)

## Detailed Description

## Function Documentation

## ◆ MP4MakeIsmaCompliant()

bool MP4MakeIsmaCompliant | ( | const char * | fileName,
|  | bool | addIsmaComplianceSdp = `true`
| ) |  |

Add ISMA compliant OD and Scene tracks.

MP4MakeIsmaCompliant modifies an mp4 file so that it complies with the minimal MPEG-4 Systems requirements defined by the Internet Streaming Media Alliance (ISMA).

This involves creating an OD and Scene track, and using them to describe a simple scene of one audio, or one video, or one of each. Whether an SDP version of this information is added to the mp4 file can be controlled with the `addIsmaComplianceSdp` parameter.

Caveat: whether the file is truly ISMA compliant also depends on the contents of the media and hint tracks. This function does not guarantee that these tracks are compliant.

Parameters

  fileName | specifies the path name of the file to be modified.
  addIsmaComplianceSdp | specifies whether an SDP declaring ISMA compliance should be added to the file.

Returns
  Upon success, true (1). Upon an error, false (0).